Bug 1731040 - 'Host Breakdown Chart' of policy dashboard is not working on google chrome browser.
Summary: 'Host Breakdown Chart' of policy dashboard is not working on google chrome br...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Ondřej Pražák
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 07:55 UTC by Jameer Pathan
Modified: 2019-10-22 19:50 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_openscap-1.0.7,foreman-1.22.0.26-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:50:11 UTC
Target Upstream Version:


Attachments (Terms of Use)
on_chrome (38.15 KB, image/png)
2019-07-18 07:56 UTC, Jameer Pathan
no flags Details
on_firefox (43.22 KB, image/png)
2019-07-18 07:57 UTC, Jameer Pathan
no flags Details
Verification screenshot on chrome browser (51.87 KB, image/png)
2019-09-23 09:13 UTC, Jameer Pathan
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27569 None None None 2019-08-09 07:41:05 UTC

Description Jameer Pathan 2019-07-18 07:55:35 UTC
Description of problem:
'Host Breakdown Chart' of policy dashboard is not working on google chrome browser.

Version-Release number of selected component (if applicable):
- Satellite 6.6.0 snap 11
- tfm-rubygem-foreman_openscap-1.0.4-1.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. create Compliance Policy.(Hosts > Policies > New Compliance Policy)
2. assign it to host.
3. generate few reports.
4. go to Hosts > policies 
5. Click on Dashboard button of policy.

Actual results:
- On chrome I am unable to see content of 'Host Breakdown Chart'.

Expected results:
- content of 'Host Breakdown Chart' are shown properly on chrome browser.

Additional info:

Comment 3 Jameer Pathan 2019-07-18 07:56:14 UTC
Created attachment 1591706 [details]
on_chrome

Comment 4 Jameer Pathan 2019-07-18 07:57:30 UTC
Created attachment 1591707 [details]
on_firefox

Comment 7 Marek Hulan 2019-07-29 13:38:12 UTC
This is very weird, I can reproduce too, resizing the browser window makes it appear and display correctly.

Comment 8 Ondřej Pražák 2019-08-07 13:39:48 UTC
Strange, what chrome versions do you have? It displayed for me on 75 and 76.

Comment 9 Jameer Pathan 2019-08-07 14:26:34 UTC
I am using Version 75.0.3770.100 (Official Build) (64-bit)

Comment 10 Marek Hulan 2019-08-09 07:39:06 UTC
Ondrej I can reproduce now even in firefox, it worked and then shortly afterwards it stopped. Strange thing is, whenever I resize a browser window or open JS console, chart appears. I sent you a reproducer box.

Comment 12 Marek Hulan 2019-08-09 07:41:04 UTC
Created redmine issue https://projects.theforeman.org/issues/27569 from this bug

Comment 13 Bryan Kearney 2019-08-16 08:02:02 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 14 Bryan Kearney 2019-08-16 08:02:04 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 15 Bryan Kearney 2019-09-06 14:02:13 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27569 has been resolved.

Comment 19 Jameer Pathan 2019-09-23 09:11:33 UTC
Verified

Verified with:
- Satellite 6.6.0 Snap 22
- tfm-rubygem-foreman_openscap-1.0.8-1.el7sat.noarch

Test steps:
1. create Compliance Policy.(Hosts > Policies > New Compliance Policy)
2. assign it to host.
3. generate few reports.
4. go to Hosts > policies 
5. Click on Dashboard button of policy.

Observation:
- Contents of 'Host Breakdown Chart' are shown properly in chrome browser.

Comment 20 Jameer Pathan 2019-09-23 09:13:53 UTC
Created attachment 1618141 [details]
Verification screenshot on chrome browser

Comment 21 Bryan Kearney 2019-10-22 19:50:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.